AttributedQName (Apache CXF API 2.2.12-patch-03 API)
Date: 2012-07-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing.v200403
Class AttributedQName

    java.lang.Object
      org.apache.cxf.ws.addressing.v200403.AttributedQName

    public class AttributedQName

extends Object

Java class for AttributedQName complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AttributedQName">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>QName">
           <anyAttribute processContents='lax' namespace='##other'/>
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected QName` | `value`

Constructor Summary
`AttributedQName()`

Method Summary
`Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`QName` | `getValue()` Gets the value of the value property.
`void` | `setValue(QName value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected QName value

Constructor Detail

### AttributedQName

    public AttributedQName()

Method Detail

### getValue

    public QName getValue()

  Gets the value of the value property.

  Returns:
    possible object is `QName`

### setValue

    public void setValue(QName value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `QName`

### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF